## kosd 0.8.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(kosd)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
add_definitions(${KDE4_DEFINITIONS})

set(KOSD_VERSION "0.8.1")
set(KOSD_SOVERSION 2)

add_subdirectory(src)
add_subdirectory(po)

=== po/CMakeLists.txt ===
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
	MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)
 
        SET(catalogname kosd)
 
        ADD_CUSTOM_TARGET(translations ALL)
 
        FILE(GLOB PO_FILES *.po)
 
        FOREACH(_poFile ${PO_FILES})
                GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
                STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
                STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )
 
                IF( _langCode )
                        GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
                        SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
 
                        ADD_CUSTOM_COMMAND(TARGET translations
                                COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
                                DEPENDS ${_poFile})
                        INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
                ENDIF( _langCode )
 
        ENDFOREACH(_poFile ${PO_FILES})
 
ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== src/CMakeLists.txt ===
project(kosd)
cmake_minimum_required(VERSION 2.6)

configure_file(kosdversion.h.in ${PROJECT_BINARY_DIR}/kosdversion.h)
include_directories(${PROJECT_BINARY_DIR})

add_subdirectory(kosd)
add_subdirectory(kded_kosd)
add_subdirectory(kded_kosd_keys)
add_subdirectory(kcm_kosd)

install(FILES kosd.kcfg DESTINATION ${KCFG_INSTALL_DIR})

=== src/kcm_kosd/CMakeLists.txt ===
project(kosd)
cmake_minimum_required(VERSION 2.6)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
add_definitions(${KDE4_DEFINITIONS})
include_directories(.. ${KDE4_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR})

set(kcm_kosd_SRCS)
kde4_add_kcfg_files(kcm_kosd_SRCS ../configuration.kcfgc)
set(kcm_kosd_SRCS ${kcm_kosd_SRCS} configurationwidget.cpp)
kde4_add_ui_files(kcm_kosd_SRCS configurationwidget.ui)
kde4_add_plugin(kcm_kosd ${kcm_kosd_SRCS})
target_link_libraries(kcm_kosd ${KDE4_KDEUI_LIBS} ${KDE4_KCMUTILS_LIBS} kosd)

install(TARGETS kcm_kosd DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kcm_kosd.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/kded_kosd/CMakeLists.txt ===
project(kosd)
cmake_minimum_required(VERSION 2.6)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
add_definitions(${KDE4_DEFINITIONS})
include_directories(.. ${KDE4_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR})

set(kded_kosd_SRCS)
kde4_add_kcfg_files(kded_kosd_SRCS ../configuration.kcfgc)
set(kded_kosd_SRCS ${kded_kosd_SRCS} kosdd.cpp osd.cpp compactosd.cpp standardosd.cpp)
kde4_add_plugin(kded_kosd ${kded_kosd_SRCS})
target_link_libraries(kded_kosd ${KDE4_KDEUI_LIBS} ${KDE4_PLASMA_LIBS})

install(TARGETS kded_kosd DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kosd.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded)
install(FILES org.kde.kosd.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR})

=== src/kded_kosd_keys/CMakeLists.txt ===
project(kosd)
cmake_minimum_required(VERSION 2.6)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
add_definitions(${KDE4_DEFINITIONS})
include_directories(.. ${KDE4_INCLUDES})

set(kded_kosd_keys_SRCS kosdkeysd.cpp mixer.cpp powermanager.cpp)
kde4_add_plugin(kded_kosd_keys ${kded_kosd_keys_SRCS})
target_link_libraries(kded_kosd_keys ${KDE4_KDEUI_LIBS} ${KDE4_SOLID_LIBS} kosd asound)

install(TARGETS kded_kosd_keys DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kosd_keys.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded)

=== src/kosd/CMakeLists.txt ===
project(kosd)
cmake_minimum_required(VERSION 2.6)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
add_definitions(${KDE4_DEFINITIONS})
include_directories(${KDE4_INCLUDES})

set(kosd_SRCS kosd.cpp)
kde4_add_library(kosd SHARED ${kosd_SRCS})
target_link_libraries(kosd ${KDE4_KDECORE_LIBS})
set_target_properties(kosd PROPERTIES VERSION ${KOSD_VERSION} SOVERSION ${KOSD_SOVERSION})
install(TARGETS kosd ${INSTALL_TARGETS_DEFAULT_ARGS})

set(kosd_HDRS kosd_export.h kosd.h)
install(FILES ${kosd_HDRS} DESTINATION ${INCLUDE_INSTALL_DIR}/kosd COMPONENT Devel)

=== debian/changelog ===
kosd (0.8.1-1) unstable; urgency=low

  * New upstream release (Closes: #652354).
  * debian/control:
    - Bumped Standards-Version to 3.9.2
    - Added libasound2-dev to Build-Depends
    - Bumped KDE SC dependencies to v4.6
    - Updated homepage
    - Updated packages descriptions
  * debian/rules:
    - Removed outdated get-orig-source target.
  * Removed libkosd.so from libkosd2 package.

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Thu, 15 Dec 2011 18:43:17 +0400

kosd (0.6.0-1) unstable; urgency=low

  * Initial release.

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Mon, 13 Sep 2010 12:29:48 +0400

=== debian/control ===
Source: kosd
Section: kde
Priority: optional
Maintainer: Cyril Lacoux <clacoux@easter-eggs.com>
Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.6.4),
 kdelibs5-dev (>= 4:4.6.0), kdebase-workspace-dev (>= 4:4.6.0), libasound2-dev
Standards-Version: 3.9.2
Homepage: http://kde-apps.org/content/show.php?content=81457

Package: kosd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE On-Screen Display framework
 KOSD is a simple framework for the KDE Desktop providing an OSD in response
 to media key presses.

Package: libkosd2
Architecture: any
Provides: libkosd
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE On-Screen Display framework - core library
 KOSD is a simple framework for the KDE Desktop providing an OSD in response
 to media key presses.

Package: libkosd2-dev
Section: libdevel
Architecture: any
Provides: libkosd-dev
Depends: libkosd, ${shlibs:Depends}, ${misc:Depends}
Description: KDE On-Screen Display framework - development files
 KOSD is a simple framework for the KDE Desktop providing an OSD in response
 to media key presses.

=== debian/rules ===
#!/usr/bin/make -f

DEB_KDE_LINK_WITH_AS_NEEDED := yes

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --list-missing --with kde

.PHONY: override_dh_auto_test
